Subject: bug#11221: Shift-select-mode has no effect -- interaction with cua-mode

From: Brian Tannahill <[email-masked]>
Date: Thu, 12 Apr 2012 12:30:45 -0500

After working through my .emacs file I found that this problem goes away
when I turn off cua-mode.

Not sure whether this is actually a bug or if it's the intended behavior.

---------- Forwarded message ----------
From: Brian Tannahill <[email-masked]>
Date: Wed, Apr 11, 2012 at 3:18 PM
Subject: Re: bug#11221: Shift-select-mode has no effect
To: Glenn Morris <[email-masked]>
Cc: [email-masked]

When I run emacs -Q and then do my custom keybindings, the problem does NOT
occur.

So apparently something in my init file is messing things up.  I'll work on
isolating it.

Thanks.

On Wed, Apr 11, 2012 at 1:03 PM, Glenn Morris <[email-masked]> wrote:

> Brian Tannahill wrote:
>
> > (global-set-key (kbd "M-J")   'backward-word)
> [...]
> > Running describe-key (C-h k) shows that the bindings were
> > successful. And these bindings move point as they should, but for some
> > reason it sets the mark at my original position, and gives me a
> > highlighted region as I move the point.
>
> I'm unable to reproduce this; even with shift-select-mode on. Note that
> this-command-keys-shift-translated says:
>
>   Shift-translation occurs when there is no binding for the key sequence
>   as entered [...]
>
> Does this happen if you start from emacs -Q?
>